from Products.PloneSearchBox import install_globals
from Products.PloneSearchBox.global_symbols import *
from Products.PloneSearchBox.Installation import Installation
from Products.CMFCore.utils import getToolByName
from Products.CMFCore.PortalContent import PortalContent
from Products.CMFCore.PortalFolder import PortalFolder

skin_name = "PloneSearchBox"
i18n_name = "PloneSearchBox"
perms_list = (PloneSearchBox_editPermission, PloneSearchBox_editPermission, PloneSearchBox_addPermission, )
tools = (
    ("PloneSearchBox Tool", "Configure your search box"),
    )
product_name = "PloneSearchBox"

def install(self):
    installation=Installation(self)
    installation.setupTypesandSkins([], skin_name, install_globals) 
    #installation.setupCustomSlots()      ### WHY IT DOESN'T WORK ??
    """ sets up the custom slots"""
    if installation.isPlone2():
        searchbox_slot='here/searchbox_slot2/macros/searchboxBox'
    else:
        searchbox_slot='here/searchbox_slot/macros/searchboxBox'
    if hasattr(self, "right_slots"):
        if searchbox_slot in self.right_slots:
           installation.out.write("Right slot for searchbox exists already\n")
        else:
              right_slots_list=list(self.right_slots)
              self._delProperty('right_slots')
              right_slots_list.insert(0, searchbox_slot)
              self._setProperty('right_slots',tuple(right_slots_list),'lines')
              installation.out.write("Added right slot for searchbox\n")            
    installation.setupTools(product_name, tools)  ### WHY IT DOESN'T WORK ??
    
    return installation.report()
