## Script (Python) "processUrl"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=choice
##title=
##


"""
This script is using the given URL (passed in choice).
Url format will be : http://website.com?arg=%(arg_name)s&arg2=%(arg_name2)s etc.
The 'data' dictionnary will be used to replace the %(arg_name)s.
So to begin it must be constructed.
The URL is split until we get the 'arg_name'.

COMMENT :
arg_name is used instead of arg because it also represents the label in the generated form
"""
data = {}

varList = choice.split('?')


for var in varList[1].split('&'):
    #take what is after the '=' 
    keyName = var.split('=')[1]
    varName = var.split('=')[0]
    #remove the '%(' at the begining and the ')s' at the end
    keyName = keyName[2:-2]
    #build the dict
    data[keyName] = context.REQUEST.get(varName)

url = choice % data

return url